JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.person.getDetailsV1('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.person.get_details_v1(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Person.GetDetailsV1(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ID)
}
openregister person get-details-v1 \
--api-key 'My API Key' \
--person-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.openregister.de/v1/person/{person_id} \
--header 'Authorization: Bearer <token>'
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"age": 123,
"city": "<string>",
"management_positions": [
{
"register_id": "<string>",
"company_name": "<string>",
"role": "<string>",
"role_detail": {
"code": "DIRECTOR",
"label_de": "<string>",
"label_de_short": "<string>",
"label_en": "<string>",
"label_en_short": "<string>"
},
"start_date": "2023-12-25",
"end_date": "2023-12-25"
}
]
}Person information
GET
/
v1
/
person
/
{person_id}
JavaScript
import Openregister from 'openregister';
const client = new Openregister({
apiKey: process.env['OPENREGISTER_API_KEY'], // This is the default and can be omitted
});
const response = await client.person.getDetailsV1('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.id);import os
from openregister import Openregister
client = Openregister(
api_key=os.environ.get("OPENREGISTER_API_KEY"), # This is the default and can be omitted
)
response = client.person.get_details_v1(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.id)package main
import (
"context"
"fmt"
"github.com/oregister/openregister-go"
"github.com/oregister/openregister-go/option"
)
func main() {
client := openregister.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Person.GetDetailsV1(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.ID)
}
openregister person get-details-v1 \
--api-key 'My API Key' \
--person-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eGet person information
Retrieve detailed information about a natural person including their name, date of birth, city of residence, age, and their roles across multiple companies. This endpoint aggregates data about a person’s management positions, providing a complete profile of their business activities. Cost: 10 creditsRoles
Each entry inmanagement_positions carries a role_detail — see Roles.Authorizations
API Key Authentication Provide your API key as a Bearer token in the Authorization header.
Path Parameters
The id of the person
Response
Successfully retrieved person data
Unique person identifier. Example: cc78ab54-d958-49b8-bae7-2f6c0c308837
First name of the person.
Last name of the person.
Date of birth of the person. Format: ISO 8601 (YYYY-MM-DD) Example: "1990-01-01"
Age of the person.
City of the person.
Management positions of the person.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

